=== debian/changelog ===
zint (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 07 Feb 2023 02:14:01 +1100
