=== backend/CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,19 @@
 
 project(zint)
 
+if(ZINT_USE_PNG)
+    find_package(PNG)
+endif()
+
 set(zint_COMMON_SRCS common.c library.c large.c reedsol.c gs1.c eci.c general_field.c)
 set(zint_ONEDIM_SRCS bc412.c code.c code128.c 2of5.c upcean.c telepen.c medical.c plessey.c rss.c)
 set(zint_POSTAL_SRCS postal.c auspost.c imail.c mailmark.c)
 set(zint_TWODIM_SRCS code16k.c codablock.c dmatrix.c pdf417.c qr.c maxicode.c composite.c aztec.c code49.c code1.c gridmtx.c hanxin.c dotcode.c ultra.c)
-set(zint_OUTPUT_SRCS vector.c ps.c svg.c emf.c bmp.c pcx.c gif.c png.c tif.c raster.c output.c)
+if(ZINT_USE_PNG AND PNG_FOUND)
+    set(zint_OUTPUT_SRCS vector.c ps.c svg.c emf.c bmp.c pcx.c gif.c png.c tif.c raster.c output.c)
+else()
+    set(zint_OUTPUT_SRCS vector.c ps.c svg.c emf.c bmp.c pcx.c gif.c tif.c raster.c output.c)
+endif()
 set(zint_SRCS ${zint_OUTPUT_SRCS} ${zint_COMMON_SRCS} ${zint_ONEDIM_SRCS} ${zint_POSTAL_SRCS} ${zint_TWODIM_SRCS})
 
 if(ZINT_SHARED)
@@ -46,12 +54,12 @@
     endif()
 endfunction()
 
-function(zint_target_include_directories scope directory)
+function(zint_target_include_directories)
     if(ZINT_SHARED)
-        target_include_directories(zint ${scope} ${directory})
+        target_include_directories(zint ${ARGN})
     endif()
     if(ZINT_STATIC)
-        target_include_directories(zint-static ${scope} ${directory})
+        target_include_directories(zint-static ${ARGN})
     endif()
 endfunction()
 
@@ -60,14 +68,12 @@
                                             VERSION ${ZINT_VERSION})
 endif()
 
-if(ZINT_USE_PNG)
-    find_package(PNG)
-endif()
-
 if(ZINT_USE_PNG AND PNG_FOUND)
     zint_target_link_libraries(PNG::PNG)
+    message(STATUS "Using PNG")
 else()
     zint_target_compile_definitions(PRIVATE ZINT_NO_PNG)
+    message(STATUS "Not using PNG")
 endif()
 
 if(ZINT_TEST)
@@ -80,7 +86,9 @@
 endif()
 
 if(MSVC)
-    target_compile_definitions(zint PRIVATE DLL_EXPORT)
+    if(ZINT_SHARED)
+        target_compile_definitions(zint PRIVATE DLL_EXPORT)
+    endif()
 endif()
 
 zint_target_include_directories(PUBLIC
