=== frontend/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
     target_sources(${PROJECT_NAME} PRIVATE zint.rc)
 endif()
 
-target_include_directories(${PROJECT_NAME} PUBLIC "${CMAKE_SOURCE_DIR}/backend")
+target_include_directories(${PROJECT_NAME} PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/../backend")
 
 set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "zint")
 
@@ -27,7 +27,7 @@
 
 install(TARGETS ${PROJECT_NAME} DESTINATION "${BIN_INSTALL_DIR}" RUNTIME)
 if(UNIX)
-    install(FILES "${CMAKE_SOURCE_DIR}/docs/zint.1" DESTINATION "${MAN_INSTALL_DIR}/man1" COMPONENT doc)
+    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../docs/zint.1" DESTINATION "${MAN_INSTALL_DIR}/man1" COMPONENT doc)
 endif()
 
 if(ZINT_TEST)
