=== debian/changelog ===
zint (2.13.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:55:14 +1100

zint (2.13.0-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:34:50 +0000

zint (2.13.0-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:47:48 +0000

zint (2.13.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: no longer append "-Wl,--as-needed".
  * Build upstream man page from source.
    + Build-Depends += "pandoc".
  * Install upstream man page and documentation (with doc-base).
  * Updated Homepage to "https://zint.org.uk/" (Closes: #1021692).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Dec 2023 20:19:44 +1100
