=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: zint
 Section: graphics
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Jakob Haufe <sur5r@debian.org>
 Build-Depends: debhelper-compat (= 12)
     ,cmake
     ,libpng-dev
     ,libqt5svg5-dev
+    ,pandoc
     ,qtbase5-dev
     ,qttools5-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/zint
 Vcs-Git: https://salsa.debian.org/debian/zint.git
-Homepage: https://sourceforge.net/projects/zint/
+Homepage: https://zint.org.uk/
 Rules-Requires-Root: no
 
 Package: zint
@@ -74,7 +76,7 @@
  This package contains Zint Barcode Studio, a QT frontend for the Zint
  barcode encoding library.
 
-Package: libzint2.12
+Package: libzint2.13
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -107,7 +109,7 @@
 Package: libzint-dev
 Section: libdevel
 Architecture: any
-Depends: libzint2.12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libzint2.13 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Zint development files
  Zint is a barcode encoding and image generating library. It currently
